### Method

# Adw ClampScrollable set_tightening_threshold

#### Declaration [src]

    void
    adw_clamp_scrollable_set_tightening_threshold (
      AdwClampScrollable* self,
      int tightening_threshold
    )

#### Description [src]

Sets the size above which the child is clamped.

Starting from this size, the clamp will tighten its grip on the child, slowly allocating less and less of the available size up to the maximum allocated size. Below that threshold and below the maximum width, the child will be allocated all the available size.

If the threshold is greater than the maximum size to allocate to the child, the child will be allocated all the width up to the maximum. If the threshold is lower than the minimum size to allocate to the child, that size will be used as the tightening threshold.

Effectively, tightening the grip on the child before it reaches its maximum size makes transitions to and from the maximum size smoother when resizing.

Sets property | `Adw.ClampScrollable:tightening-threshold`

#### Parameters

`tightening_threshold`

  Type: `int`

  The tightening threshold.